Subject: Bug#84: Hardcoded -O3 in CFLAGS

From: Reinhard Tartler <[email-masked]>
Date: Wed, 9 Jan 2013 16:32:06 +0100

On Wed, Jan 9, 2013 at 4:22 PM, Jan Engelhardt <[email-masked]> wrote:
>
> On Wednesday 2013-01-09 16:10, Mike Gabriel wrote:
>>
>> All kind of flags are hard-coded in linux.cf in nx-X11/cf/ (I think). You may
>> know imake better then I do. If you could take another look at it, that would
>> be awesome.
>>
>> Note: LDFLAGS appear to be named LDOPTIONS in nx-X11.
>>
>> Note, that nxcomp, nxcompshad and nxcompext are configured and built from
>> within nx-X11/programs/Xserver/Makefile.in (IIRC, might be the Makfile.in one
>> level up). So the nx* builds are prepared by imake. I guess the only way to
>> address it is to teach imake to let through *FLAGS.
>>
>> The nx-X11 build process is a bummer..., I agree with that. Any help and
>> improvement is really appreciated.
>
> Can we split nxcomp, nxcompshad, nxcompext and nxproxy into
> separate tarballs in any way?
> After all, they are "just" addons to an existing (X11|nx-libs) tree
> that gets installed as well and which looks usable.

That's what I have initially implemented.

This was reverted because it caused strange segfaults nobody had the
capacity to fully analyze. Mike can fill in the details.

-- 
regards,
    Reinhard